Bug 69574 - up2date --nox -p fails with traceback
up2date --nox -p fails with traceback
Product: Red Hat Public Beta
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
Blocks: 67217
  Show dependency treegraph
Reported: 2002-07-23 08:16 EDT by Fred New
Modified: 2015-01-07 18:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-24 02:39:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fred New 2002-07-23 08:16:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Q312461)

Description of problem:
When I try to execute up2date --nox -p, I get the following messages:

Traceback (most recent call last):
  File "/usr/sbin/up2date", line 801, in ?
  File "/usr/sbin/up2date", line 339, in main
  File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 114, in 
    loginInfo = login()
  File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 96, in login
    server = rpcServer.getServer()
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 100, in getServer
UnboundLocalError: local variable 'proxyUser' referenced before assignment

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  up2date --configure --nox
    no proxyPassword or proxyUser specified
2.  up2date --nox -p

Actual Results:  The above error messages.

Expected Results:  An indication that my system's profile has been updated.

Additional info:

Results of "rpm -q rhnlib up2date up2date-gnome":

up2date --configure --nox shows the following:

0.  noReplaceConfig    Yes
1.  networkSetup       Yes
2.  noBootLoader       No
3.  storageDir         /var/spool/up2date
4.  adminAddress       ['root@localhost']
5.  pkgSkipList        ['kernel*']
6.  serverURL          https://xmlrpc.rhn.redhat.com/XMLRPC
7.  fileSkipList       []
8.  sslCACert          /usr/share/rhn/RHNS-CA-CERT
9.  retrieveOnly       No
10. useNoSSLForPackage No
11. systemIdPath       /etc/sysconfig/rhn/systemid
12. enableProxyAuth    Yes
13. retrieveSource     No
14. versionOverride
15. networkRetries     5
16. headerFetchCount   10
17. enableProxy        No
18. proxyPassword
19. noSSLServerURL     http://xmlrpc.rhn.redhat.com/XMLRPC
20. keepAfterInstall   No
21. proxyUser
22. removeSkipList     ['kernel*']
23. useGPG             Yes
24. gpgKeyRing         /etc/sysconfig/rhn/up2date-keyring.gpg
25. debug              No
26. httpProxy          cache.online.ee:80
27. headerCacheSize    40
28. forceInstall       No

I edited /usr/share/rhn/up2date_client/rpcServer.py, placing

        proxyUser = None
        proxyPassword = None
just before
        s = rpclib.Server(serverUrl, refreshCallback=refreshCallback,

This resulted in a successful run.
Comment 1 Fred New 2002-07-23 08:58:31 EDT
Looking at the code of rpcServer.py a little closer, I see that enableProxyAuth 
should be "No" if I'm not going to specify a proxyUser or a proxyPassword.  In 
fact, I tried changing enableProxyAuth everything ran fine with the original 

I believe enableProxyAuth was already "Yes" when I first ran --configure, but I 
wouldn't rely on changing the initial value to fix this problem.
Comment 2 Adrian Likins 2002-07-23 18:08:14 EDT
I belive misa fixed in this about version 2.9.21 or so.
Comment 3 Jay Turner 2002-09-04 13:35:53 EDT
Fix confirmed with up2date-3.0.2-2.

Note You need to log in before you can comment on or make changes to this bug.